/* empty css                                               */
/* empty css                                                */
/* empty css                                               */
/* empty css                                                  */
/* empty css                                                */
import { createBlock, openBlock, mergeProps, createSlots, renderList, withCtx, renderSlot } from "vue";
import _export_sfc from "../../../../../../_virtual/_plugin-vue_export-helper.mjs";
import { Popup } from "../../../../node_modules/vant/es/popup/index.mjs";
const _sfc_main = {};
function _sfc_render(_ctx, _cache) {
  const _component_van_popup = Popup;
  return openBlock(), createBlock(_component_van_popup, mergeProps(_ctx.$attrs, {
    "close-on-popstate": "",
    "safe-area-inset-bottom": ""
  }), createSlots({ _: 2 }, [
    renderList(_ctx.$slots, (item, key) => {
      return {
        name: key,
        fn: withCtx(() => [
          renderSlot(_ctx.$slots, key)
        ])
      };
    })
  ]), 1040);
}
const _Popup = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  _Popup as default
};
